View Issue Details

IDProjectCategoryView StatusLast Update
0023367mantisbtplug-inspublic2017-10-08 23:52
ReporterdregadAssigned Todregad 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.3.0-beta.1 
Target Version2.7.0Fixed in Version2.7.0 
Summary0023367: Add no-op upgrade step in plugin_upgrade()
Description

The MantisBT installer allows no-op schema operations since 1.3.0-beta.1 (see MantisBT master 061e66b5)., but the change was never applied to plugin_upgrade().

Standard and plugin schema upgrades should offer the same functionalities.

Additional Information

See discussion in Source Integration plugin issue #36

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master fc93a7c8

2017-09-17 04:34:41

dregad

Details Diff
Add no-op upgrade step in plugin_upgrade()

Implement the same functionality that was added to the MantisBT
installer in 061e66b5cfbda95e2ecbe87803c3388b2642cead.

This is a prerequisite to fix an issue with Source Integration plugin
https://github.com/mantisbt-plugins/source-integration/issues/36.

Fixes 0023367
mod - core/plugin_api.php Diff File

Issue History

Date Modified Username Field Change
2017-09-17 04:21 dregad New Issue
2017-09-17 04:21 dregad Status new => assigned
2017-09-17 04:21 dregad Assigned To => dregad
2017-09-17 04:37 dregad Additional Information Updated View Revisions
2017-09-17 04:37 dregad Additional Information Updated View Revisions
2017-09-17 04:44 dregad Note Added: 0057741
2017-09-29 06:03 dregad Changeset attached => MantisBT master fc93a7c8
2017-09-29 06:03 dregad Status assigned => resolved
2017-09-29 06:03 dregad Resolution open => fixed
2017-09-29 06:03 dregad Fixed in Version => 2.7.0
2017-10-08 23:52 vboctor Status resolved => closed